# CStrApiBaseT< Tchar > Class Template Reference

String API mapper base - just mapping by character type, not by case sensitivity yet. More...

`#include <strapi.hpp>`

Inherited by CStrApiT< Tchar, TcaseInsensitive >.

## Public Member Functions
template<>
size_t | StrLen (const char *s)
template<>
int | SPrintFL (char *buf, size_t count, const char *fmt, va_list args)
## Static Public Member Functions
static size_t | StrLen (const Tchar *s)
| strlen wrapper
static int | SPrintFL (Tchar *buf, size_t count, const Tchar *fmt, va_list args)

## Detailed Description

### template<typename Tchar>
class CStrApiBaseT< Tchar >

String API mapper base - just mapping by character type, not by case sensitivity yet.

Class template CStrApiBaseT declaration is general, but following inline method definitions are specialized by character type. Class is not used directly, but only as a base class for template class CStrApiT

Definition at line 24 of file strapi.hpp.

The documentation for this class was generated from the following file:

- src/misc/strapi.hpp